[android-components](../../../index.md) / [mozilla.components.feature.toolbar](../../index.md) / [ToolbarFeature](../index.md) / [UrlRenderConfiguration](./index.md)

# UrlRenderConfiguration

`data class UrlRenderConfiguration` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/toolbar/src/main/java/mozilla/components/feature/toolbar/ToolbarFeature.kt#L67)

Configuration that controls how URLs are rendered.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `UrlRenderConfiguration(publicSuffixList: `[`PublicSuffixList`](../../../mozilla.components.lib.publicsuffixlist/-public-suffix-list/index.md)`, registrableDomainColor: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`, urlColor: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`? = null)`<br>Configuration that controls how URLs are rendered. |
